Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1
Class CertificateType

    java.lang.Object
      be.vlaanderen.mercurius.vsb_wzcmh.schemas.v1.CertificateType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:39:48+02:00",
               comments="JAXB RI v2.2.11")
    public class CertificateType

extends Object
implements Serializable

Datums van specifieke attesten

Java class for CertificateType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CertificateType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DementedDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="PalliativeDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ComaDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ALSDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="MSDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="HuntingtonDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="ChangedDependencyDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`CertificateType()`

Method Summary
`org.joda.time.DateTime` | `getALSDate()` Gets the value of the alsDate property.
`org.joda.time.DateTime` | `getChangedDependencyDate()` Gets the value of the changedDependencyDate property.
`org.joda.time.DateTime` | `getComaDate()` Gets the value of the comaDate property.
`org.joda.time.DateTime` | `getDementedDate()` Gets the value of the dementedDate property.
`org.joda.time.DateTime` | `getHuntingtonDate()` Gets the value of the huntingtonDate property.
`org.joda.time.DateTime` | `getMSDate()` Gets the value of the msDate property.
`org.joda.time.DateTime` | `getPalliativeDate()` Gets the value of the palliativeDate property.
`void` | `setALSDate(org.joda.time.DateTime value)` Sets the value of the alsDate property.
`void` | `setChangedDependencyDate(org.joda.time.DateTime value)` Sets the value of the changedDependencyDate property.
`void` | `setComaDate(org.joda.time.DateTime value)` Sets the value of the comaDate property.
`void` | `setDementedDate(org.joda.time.DateTime value)` Sets the value of the dementedDate property.
`void` | `setHuntingtonDate(org.joda.time.DateTime value)` Sets the value of the huntingtonDate property.
`void` | `setMSDate(org.joda.time.DateTime value)` Sets the value of the msDate property.
`void` | `setPalliativeDate(org.joda.time.DateTime value)` Sets the value of the palliativeDate property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificateType

    public CertificateType()

Method Detail

### getDementedDate

    public org.joda.time.DateTime getDementedDate()

  Gets the value of the dementedDate property.

  Returns:
    possible object is `String`

### setDementedDate

    public void setDementedDate(org.joda.time.DateTime value)

  Sets the value of the dementedDate property.

  Parameters:
    `value` - allowed object is `String`

### getPalliativeDate

    public org.joda.time.DateTime getPalliativeDate()

  Gets the value of the palliativeDate property.

  Returns:
    possible object is `String`

### setPalliativeDate

    public void setPalliativeDate(org.joda.time.DateTime value)

  Sets the value of the palliativeDate property.

  Parameters:
    `value` - allowed object is `String`

### getComaDate

    public org.joda.time.DateTime getComaDate()

  Gets the value of the comaDate property.

  Returns:
    possible object is `String`

### setComaDate

    public void setComaDate(org.joda.time.DateTime value)

  Sets the value of the comaDate property.

  Parameters:
    `value` - allowed object is `String`

### getALSDate

    public org.joda.time.DateTime getALSDate()

  Gets the value of the alsDate property.

  Returns:
    possible object is `String`

### setALSDate

    public void setALSDate(org.joda.time.DateTime value)

  Sets the value of the alsDate property.

  Parameters:
    `value` - allowed object is `String`

### getMSDate

    public org.joda.time.DateTime getMSDate()

  Gets the value of the msDate property.

  Returns:
    possible object is `String`

### setMSDate

    public void setMSDate(org.joda.time.DateTime value)

  Sets the value of the msDate property.

  Parameters:
    `value` - allowed object is `String`

### getHuntingtonDate

    public org.joda.time.DateTime getHuntingtonDate()

  Gets the value of the huntingtonDate property.

  Returns:
    possible object is `String`

### setHuntingtonDate

    public void setHuntingtonDate(org.joda.time.DateTime value)

  Sets the value of the huntingtonDate property.

  Parameters:
    `value` - allowed object is `String`

### getChangedDependencyDate

    public org.joda.time.DateTime getChangedDependencyDate()

  Gets the value of the changedDependencyDate property.

  Returns:
    possible object is `String`

### setChangedDependencyDate

    public void setChangedDependencyDate(org.joda.time.DateTime value)

  Sets the value of the changedDependencyDate property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging TRUSSMAKER 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.